Pkgcheck Warnings

  • All Versions
    • UnstableOnly
      for arches: [ ppc, ppc64 ], all versions are unstable: [ 6.0.8, 6.0.11, 6.0.12 ]
  • 6.0.12
    • IndirectInherits
      depend.apache: indirect inherit usage: 'want_apache2', line 37
    • UnusedInherits
      unused eclass: multilib
  • 6.0.11
    • IndirectInherits
      depend.apache: indirect inherit usage: 'want_apache2', line 37
    • PotentialStable
      slot(0), stabled arches: [ amd64, x86 ], potentials: [ ~ppc, ~ppc64 ]
    • UnusedInherits
      unused eclass: multilib
  • 6.0.8
    • DeprecatedEapi
      uses deprecated EAPI 6
    • IndirectInherits
      depend.apache: indirect inherit usage: 'want_apache2', line 37
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 6.0.11
    • UnusedInherits
      unused eclass: multilib

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.